﻿@model Lectures.Models.EditUserViewModel
@{
    ViewData["Title"] = "Edit";
}

<h2>Create</h2>
<form asp-action="Edit" method="post">
    <input hidden asp-for="Id"/>

    <div class="form-group">
        <label class="control-label" asp-for="Name">Name:</label>
        <input asp-for="Name" class="form-control" />
        <span asp-validation-for="Name" class="input-validation-error"></span>
    </div>

    <div class="form-group">
        <label class="control-label" asp-for="Login">Login:</label>
        <input asp-for="Login" class="form-control"/>
        <span asp-validation-for="Login" class="input-validation-error"></span>
    </div>

    <div class="form-group">
        <label class="control-label" asp-for="CategoryId">User type:</label>
        <select asp-for="CategoryId" class="form-control">
           @foreach (var category in Model.Categories)
           {
               <option value="@category.Id">@category.Name</option>
           }
        </select>
    </div>

    <button type="submit" class="btn btn-primary">Save</button>
</form>
